import 'package:flutter/material.dart';
import 'testPage/battery.dart';
import 'testPage/assetsChannel.dart';
import 'testPage/layoutTest.dart';
import 'testPage/animationTest.dart';
import 'testPage/netWorkTest.dart';
import 'hybrid_stack/hybrid_stack_manager_plugin.dart';
import 'app_config.dart';
import 'my_app.dart';

//void main() {
//  debugPaintSizeEnabled = false; //打开视觉调试开关
//  return runApp(_widgetForRoute(window.defaultRouteName));
//
//}

void main() async {
  AppConfig.sharedInstance();
//  HybridStackManagerPlugin plugin =
//      HybridStackManagerPlugin.hybridStackManagerPlugin;
  runApp(new MyApp());
  Map args =  await HybridStackManagerPlugin.hybridStackManagerPlugin.getMainEntryParams();
  if (args != null && args["url"] != null) {
    RouterOption routeOption = new RouterOption(
        url: args["url"], query: args["query"], params: args["params"]);
    Router.sharedInstance().pushPageWithOptionsFromFlutter(
        routeOption: routeOption, animated: false);
  }
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: MyHomePage(title: 'Flutter Demo Home Page'),
      routes: {
        "/channeltest": batteryChannelPage,
        "/assetschannel": assetsChannelPage,
        "/layouttest": layoutTestPage,
        "/animationtest": animationTestPage,
        "/networktest": netWorkTestPage,
      },
    );
  }

  Widget batteryChannelPage(BuildContext context) {
    return PlatformChannel();
  }

  Widget assetsChannelPage(BuildContext context) {
    return AssestPlatformChannel();
  }

  Widget layoutTestPage(BuildContext context) {
    return LayoutTest();
  }

  Widget animationTestPage(BuildContext context) {
    return AnimationPage();
  }

  Widget netWorkTestPage(BuildContext context) {
    return NetWorkTestPage();
  }
}

class MyHomePage extends StatefulWidget {
  MyHomePage({Key key, this.title}) : super(key: key);

  final String title;

  @override
  _MyHomePageState createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {
  int _counter = 0;

  void _incrementCounter() {
    setState(() {
      _counter++;
    });
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text(widget.title),
      ),
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: <Widget>[
            Text(
              'You have pushed the button this many times:',
            ),
            Text(
              '$_counter',
              style: Theme.of(context).textTheme.display1,
            ),
            FlatButton(
              child: Text('channel test'),
              color: Colors.greenAccent,
              onPressed: (){Navigator.pushNamed(context, "/channeltest");},
            ),
            FlatButton(
              child: Text('assets test'),
              color: Colors.greenAccent,
              onPressed: (){Navigator.pushNamed(context, "/assetschannel");},
            ),
            FlatButton(
              child: Text('layout test'),
              color: Colors.greenAccent,
              onPressed: (){Navigator.pushNamed(context, "/layouttest");},
            ),
            FlatButton(
              child: Text('animation test'),
              color: Colors.greenAccent,
              onPressed: (){Navigator.pushNamed(context, "/animationtest");},
            ),
            FlatButton(
              child: Text('network test'),
              color: Colors.greenAccent,
              onPressed: (){Navigator.pushNamed(context, "/networktest");},
            ),
          ],
        ),
      ),
      floatingActionButton: FloatingActionButton(
        onPressed: _incrementCounter,
        tooltip: 'Increment',
        child: Icon(Icons.add),
      ), // This trailing comma makes auto-formatting nicer for build methods.
    );
  }
}

